const optim = require('./potencial_resh')

    
    test('проверка возвращения единицы, если число положительное', 
    () => {
      expect(optim(5)).toBe(1);
    });

    test('проверка возвращения нуля, если число отрицательное', 
    () => {
      expect(optim(-5)).toBe(0);
    });
   
    test('негативный тест на возврат единицы при отрицательном значении', 
    () => {
      expect(optim(-5)).not.toBe(1);
    });

    test('негативный тест на возврат нуля при положительном значении', 
    () => {
      expect(optim(5)).not.toBe(0);
    });
    test('проверка, что что-то возвращает', 
    () => {
      expect(optim(5)).toBeTruthy();
    });

    test('проверка, что переменная существуеты', 
    () => {
       
      expect(optim(1)).toBeDefined();
    });
    test('проверка NaN', () => {
    
        expect(optim(1)).not.toBeNaN();
      });
    